Bug 458971 - NetworkManager shows connections to '(none)' despite being properly connected
NetworkManager shows connections to '(none)' despite being properly connected
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 10:37 EDT by Alex Chernyakhovsky
Modified: 2009-02-15 11:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-15 11:18:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Chernyakhovsky 2008-08-13 10:37:03 EDT
Description of problem:
NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64 has an issue when connecting to certain networks. It properly connects, but instead of showing the signal strength and reporting the connection to the proper ESSID, it shows no bars and reports a successful connection to ESSID '(none)'. 

It seems that this problem only occurs when connecting to an 802.11N network.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.4.svn3675.fc9.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Turn on Linux computer with 802.11b/g/n wireless
2. Use NetworkManager to connect to 802.11b/g/n network
3. Observe NetworkManager
  
Actual results:

NetworkManager reports successful connection to network '(none)'.

Expected results:

NetworkManager reports successful connection to proper ESSID.

Additional info:

iwconfig shows the proper ESSID, as does the list of wireless networks in NetworkManager. It is only the main display of signal strength and the tooltips that do not work.
Comment 1 Dan Williams 2009-02-14 15:21:41 EST
A number of fixes have gone into NetworkManager in the last few months that may fix this issue for you.  Can you re-test with latest NM from F-9 updates and see if you can reproduce this issue?  If so, let me know exactly which version of NetworkManager is being used; you can find this out by running 'rpm -q NetworkManager' from a Terminal.
Comment 2 Alex Chernyakhovsky 2009-02-15 11:18:48 EST
Thank you, this problem has been fixed as of NetworkManager-0.7.0-1.git20090102.fc10

Note You need to log in before you can comment on or make changes to this bug.